User can't connect to cell data on v2.2 after turning it on from FTU, Settings or notification bar

VERIFIED FIXED in 2.2 S3 (9jan)

Status

defect
VERIFIED FIXED
4 years ago
4 years ago

People

(Reporter: Bebe, Assigned: edgar)

Tracking

({qablocker, regression, smoketest})

unspecified
2.2 S3 (9jan)
x86_64
Linux
Dependency tree / graph

Firefox Tracking Flags

(blocking-b2g:2.2+, tracking-b2g:+, b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: [fromAutomation] )

Attachments

(3 attachments)

(Reporter)

Description

4 years ago
The user can't connect to cell data on FFOS


Turning on Cell data has no effect on latest mozilla central.

STR:
1. flash latest mozilla-central: 20141223010202
2. In the FTU app turn on cell data

2. In the Settings app turn on cell data

Expected:
2. Cell data is on and user can connect to internet

Actual:
2. Cell data is not activated


This is reproducing 10/10

This issue is reproducing using manual and automated testing


The tests are failing with:
Traceback (most recent call last):
File "/var/jenkins/1/workspace/flame-kk-319.b2g-inbound.ui.functional.smoke/.env/local/lib/python2.7/site-packages/marionette_client-0.8.6-py2.7.egg/marionette/marionette_test.py", line 250, in run
self.setUp()
File "/var/jenkins/1/workspace/flame-kk-319.b2g-inbound.ui.functional.smoke/tests/python/gaia-ui-tests/gaiatest/tests/functional/browser/test_browser_cell_data.py", line 19, in setUp
self.data_layer.connect_to_cell_data()
File "/var/jenkins/1/workspace/flame-kk-319.b2g-inbound.ui.functional.smoke/tests/python/gaia-ui-tests/gaiatest/gaia_test.py", line 286, in connect_to_cell_data
result = self.marionette.execute_async_script("return GaiaDataLayer.connectToCellData()", special_powers=True)
File "/var/jenkins/1/workspace/flame-kk-319.b2g-inbound.ui.functional.smoke/.env/local/lib/python2.7/site-packages/marionette_client-0.8.6-py2.7.egg/marionette/marionette.py", line 1326, in execute_async_script
filename=os.path.basename(frame[0]))
File "/var/jenkins/1/workspace/flame-kk-319.b2g-inbound.ui.functional.smoke/.env/local/lib/python2.7/site-packages/marionette_client-0.8.6-py2.7.egg/marionette/decorators.py", line 36, in _
return func(*args, **kwargs)
File "/var/jenkins/1/workspace/flame-kk-319.b2g-inbound.ui.functional.smoke/.env/local/lib/python2.7/site-packages/marionette_client-0.8.6-py2.7.egg/marionette/marionette.py", line 634, in _send_message
self._handle_error(response)
File "/var/jenkins/1/workspace/flame-kk-319.b2g-inbound.ui.functional.smoke/.env/local/lib/python2.7/site-packages/marionette_client-0.8.6-py2.7.egg/marionette/marionette.py", line 701, in _handle_error
raise errors.ScriptTimeoutException(message=message, status=status, stacktrace=stacktrace)
ScriptTimeoutException: ScriptTimeoutException: timed out



Gaia-Rev        c2da2bafd4e809317e2ca70c9bf5c11136a32818
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/0532f2509f3f
Build-ID        20141223010202
Version         37.0a1
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20141223.043429
FW-Date         Tue Dec 23 04:34:39 EST 2014
Bootloader      L1TC10011880



Regression range from B2G-Inbound:

Last good:

Device firmware (base) 	L1TC10011880
Device firmware (date) 	22 Dec 2014 05:08:45
Device firmware (incremental) 	eng.cltbld.20141222.080835
Device firmware (release) 	4.4.2
Device identifier 	flame
Gaia date 	22 Dec 2014 03:54:27
Gaia revision 	b1956029b0cb
Gecko build 	20141222041813
Gecko revision 	bef01d70368a
Gecko version 	37.0a1


First Bad:
Device firmware (base) 	L1TC10011880
Device firmware (date) 	22 Dec 2014 05:52:42
Device firmware (incremental) 	eng.cltbld.20141222.085233
Device firmware (release) 	4.4.2
Device identifier 	flame
Gaia date 	22 Dec 2014 03:54:27
Gaia revision 	b1956029b0cb
Gecko build 	20141222051028
Gecko revision 	2bd2fad9eac0
Gecko version 	37.0a1


The gaia commit is unchanged.

Geko diff:
http://hg.mozilla.org/integration/b2g-inbound/pushloghtml?fromchange=bef01d70368a&tochange=2bd2fad9eac0
Looks like something I reproduce on my Nexus S :(
(Reporter)

Updated

4 years ago
Summary: User can't connect to cell data on v2.2 after turning it on from FTU, Settings or → User can't connect to cell data on v2.2 after turning it on from FTU, Settings or User can't connect to cell data on v2.2 after turning it on from FTU, Settings or notification bar
(Reporter)

Updated

4 years ago
(Reporter)

Comment 2

4 years ago
Can we get a regression window on mozilla-inbound
(Reporter)

Updated

4 years ago
Summary: User can't connect to cell data on v2.2 after turning it on from FTU, Settings or User can't connect to cell data on v2.2 after turning it on from FTU, Settings or notification bar → User can't connect to cell data on v2.2 after turning it on from FTU, Settings or notification bar

Comment 3

4 years ago
I reproduce on zte open c FR (2.2 build)
(Reporter)

Comment 4

4 years ago
As a workaround the issue is not reproducing after we start and stop b2g or open the cell data APN settings screen
(Reporter)

Updated

4 years ago
Whiteboard: [from automation]
Keywords: smoketest
(Reporter)

Comment 5

4 years ago
Mozilla inbound regression range:

Last good:
Device firmware (base) 	L1TC10011880
Device firmware (date) 	22 Dec 2014 14:24:54
Device firmware (incremental) 	eng.cltbld.20141222.172443
Device firmware (release) 	4.4.2
Device identifier 	flame
Gaia date 	21 Dec 2014 23:33:35
Gaia revision 	c5b03a9b40a3
Gecko build 	20141222140628
Gecko revision 	57ba071d749e
Gecko version 	37.0a1



First bad:
Device firmware (base) 	L1TC10011880
Device firmware (date) 	22 Dec 2014 15:43:05
Device firmware (incremental) 	eng.cltbld.20141222.184254
Device firmware (release) 	4.4.2
Device identifier 	flame
Gaia date 	22 Dec 2014 10:51:39
Gaia revision 	c2da2bafd4e8
Gecko build 	20141222151724
Gecko revision 	6ceabcdac1d4
Gecko version 	37.0a1


Gaia diff:
https://github.com/mozilla-b2g/gaia/compare/mozilla-b2g:c5b03a9b40a3...c2da2bafd4e8

Geko diff:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=57ba071d749e&tochange=6ceabcdac1d4
(Reporter)

Comment 6

4 years ago
Mozilla-central regression range:

Last good:
Device firmware (base) 	L1TC10011880
Device firmware (date) 	22 Dec 2014 04:29:01
Device firmware (incremental) 	eng.cltbld.20141222.072850
Device firmware (release) 	4.4.2
Device identifier 	flame
Gaia date 	19 Dec 2014 13:09:42
Gaia revision 	ca6e91e09ef3
Gecko build 	20141222040204
Gecko revision 	b915a50bc6be
Gecko version 	37.0a1


First Bad:
Device firmware (base) 	L1TC10011880
Device firmware (date) 	22 Dec 2014 16:33:26
Device firmware (incremental) 	eng.cltbld.20141222.193317
Device firmware (release) 	4.4.2
Device identifier 	flame
Gaia date 	22 Dec 2014 10:51:39
Gaia revision 	c2da2bafd4e8
Gecko build 	20141222160202
Gecko revision 	8991815dd086
Gecko version 	37.0a1

Gaia diff:
https://github.com/mozilla-b2g/gaia/compare/mozilla-b2g:ca6e91e09ef3...c2da2bafd4e8


Geko diff:
https://hg.mozilla.org/mozilla-central/pushloghtml?from=b915a50bc6be?to=8991815dd086
QA Contact: ddixon
Central Regression Window

Last Working

Device: Flame 2.2
BuildID: 20141222042411
Gaia: c5b03a9b40a37947d44a71eccd9017e76632f796
Gecko: c357fb08cc10
Version: 37.0a1 (2.2) 
Firmware Version: v188-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

First Broken 

Device: Flame 2.2
BuildID: 20141222143326
Gaia: c2da2bafd4e809317e2ca70c9bf5c11136a32818
Gecko: 3b5d17fb1517
Version: 37.0a1 (2.2) 
Firmware Version: v188-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

Last Working Gaia and First Broken Gecko
Issue DOES occur here. 
Gaia: c5b03a9b40a37947d44a71eccd9017e76632f796
Gecko: 3b5d17fb1517

Last Working Gecko and First Broken Gaia
Issue DOES NOT occur here. 
Gaia: c2da2bafd4e809317e2ca70c9bf5c11136a32818
Gecko: c357fb08cc10

Gecko Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=c357fb08cc10&tochange=3b5d17fb1517

B2G Inbound Regression Window

Last Working

Device: Flame 2.2
BuildID: 20141222045927
Gaia: b1956029b0cba10ffe0faad80581de76220a962a
Gecko: 51dbdc8d2104
Version: 37.0a1 (2.2) 
Firmware Version: v188-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

First Broken 

Device: Flame 2.2
BuildID: 20141222051028
Gaia: b1956029b0cba10ffe0faad80581de76220a962a
Gecko: 2bd2fad9eac0
Version: 37.0a1 (2.2) 
Firmware Version: v188-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

Last Working Gaia and First Broken Gecko
Issue DOES occur here. 
Gaia: b1956029b0cba10ffe0faad80581de76220a962a
Gecko: 2bd2fad9eac0

Last Working Gecko and First Broken Gaia
Issue DOES NOT occur here. 
Gaia: b1956029b0cba10ffe0faad80581de76220a962a
Gecko: 51dbdc8d2104

Gecko Pushlog: 
hg.mozilla.org/integration/b2g-inbound/pushloghtml?fromchange=51dbdc8d2104&tochange=2bd2fad9eac0
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(jmitchell)
I believe the patch to Bug 1098210 is the culprit - can you take a look Edgar?
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(jmitchell) → needinfo?(echen)
QA Contact: ddixon
(Assignee)

Comment 10

4 years ago
Hi Joshua, I can not reproduce this bug in latest pvt locally.
Could you help to capture the log with more debugging enabled?

Please see https://github.com/bevis-tseng/Debug_Tools for the instructions.
And please start capturing the log at the beginning of device boot up.

Thank you.
Flags: needinfo?(echen) → needinfo?(jmitchell)
(Reporter)

Comment 11

4 years ago
Posted file logcat.txt
This is the logcat of the issue.

Actions made on the device:
FTU app:
  enable Cell data
  Go through the FTU steps with default
  NO Cell data after the ftu app closes.


Open notification bar:
  Activate Cell data => No cell data
  Deactivate cell data
  Activate Cell data => No cell data
  Deactivate cell data
  Activate Cell data => No cell data
  Deactivate cell data
Settings app:
  Open Cellular & Data
  Activate Cell data => No cell data
  Deactivate cell data
  Activate Cell data => No cell data
  Deactivate cell data
  Activate Cell data => No cell data
  Deactivate cell data

Go to Sim 1 -> 
APN Stettings -> 
Data Settings -> 
Tap apn settings (Orange Internet) -> 
Tap OK => Cell data active and working
(Reporter)

Comment 12

4 years ago
Posted file logcat_radio.txt
Radio logcat of the same issue
(Reporter)

Comment 13

4 years ago
The previous logcat is reproducing on:

Gaia-Rev        0db8a38f9fed18ae2abf5ef7e1b6e2a570b07e0e
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/44344099d119
Build-ID        20141223160206
Version         37.0a1
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20141223.192737
FW-Date         Tue Dec 23 19:27:54 EST 2014
Bootloader      L1TC10011880
(Assignee)

Updated

4 years ago
Flags: needinfo?(jmitchell)
(Assignee)

Comment 14

4 years ago
(In reply to Florin Strugariu [:Bebe] from comment #11)
> Created attachment 8541159 [details]
> logcat.txt

From the log, DataConnectionManager didn't get valid apnSettings after device boot up. So device is unable to establish data connection.

> 12-24 03:11:32.280   205   205 I Gecko   : -*- DataConnectionManager: 'ril.data.apnSettings' is now ""

And DataConnectionManager get correct apnSettings later. I believe it is because user browse the setting->apn->data and press OK. After that data can be established successfully.

> 12-24 11:41:16.501   205   205 I Gecko   : -*- DataConnectionManager: 'ril.data.apnSettings' is now [[{"carrier":"Orange Internet","apn":"net","types":["default"]}]]

I have no idea yet why it behaves like this.
And I don't see any relationship between Bug 1098210 and this one.
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+][COM=RIL]
My STR
1. Turn on data connection from utility tray or Settings.
2. Browser into Settings -> Cell & Data -> SIM1 -> APN settings -> Data Settings (so you can see the list of APNs), and wait for a second, no need to enter detail of an apn.
3. Connection established..
(Assignee)

Comment 16

4 years ago
After offline discuss with Arthur, we found apn doesn't be saved correctly into database during device first boot up.And settings app will try to save default apn (from apn.json) into database if it found no apn in databases, that is why this issue can be recovered by browsing into `Setting -> Cell & Data-> SIM1 -> APN settings -> Data Settings`. And we found this issue is caused by incorrect using mvno API [1] and also bug 1098210.

Hi Arthur, could you help on this? Thank you. :)

[1] http://dxr.mozilla.org/mozilla-central/source/dom/webidl/MozIcc.webidl#319-333
Flags: needinfo?(arthur.chen)
(Assignee)

Updated

4 years ago
Blocks: 1098210
We should either catch the possible exception or not call to the API when mvno type is not available[1].

[1]: https://github.com/mozilla-b2g/gaia/blob/master/apps/system/js/operator_variant_handler.js#L212
Assignee: nobody → arthur.chen
blocking-b2g: --- → 2.2?
tracking-b2g: --- → +
Flags: needinfo?(arthur.chen)
(Assignee)

Comment 18

4 years ago
Move to proper component. Thank you, Arthur.
Component: RIL → Gaia::System
Not sure if it's related, but I noticed some strange behavior related to data/mms apn. It's documented in bug 1115563.

And yes, I know, this bug only mentions Nexus S device. And no, I don't have tried reproducing on Flame, since I'm dogfooding on Nexus S.
Flags: needinfo?(echen)
Able to reproduce the issue on

Build-ID        20141225160202
Version         37.0a1
Device-Name     flame
FW-Incremental  eng.cltbld.20141225.191509
Git Commit Info 2014-12-25 15:54:33 6f2b5a28
(Assignee)

Comment 21

4 years ago
(In reply to Alexandre LISSY :gerard-majax from comment #19)
> Not sure if it's related, but I noticed some strange behavior related to
> data/mms apn. It's documented in bug 1115563.
> 
> And yes, I know, this bug only mentions Nexus S device. And no, I don't have
> tried reproducing on Flame, since I'm dogfooding on Nexus S.

Put comments in bug 1115563.
Flags: needinfo?(echen)
Can we either test a backout to verify the backout would be successful and backout the broken change or get a change to fix this ASAP please?

This is a smoke test blocker.
Flags: needinfo?(echen)
(Assignee)

Comment 23

4 years ago
Posted file [gaia] PR #27056
(Assignee)

Comment 24

4 years ago
(In reply to Naoki Hirata :nhirata (please use needinfo instead of cc) from comment #22)
> Can we either test a backout to verify the backout would be successful and
> backout the broken change or get a change to fix this ASAP please?
> 
> This is a smoke test blocker.

I already have a solution, I am going to steal this bug from Arthur.
Flags: needinfo?(echen)
(Assignee)

Comment 25

4 years ago
If you don't mind ... :)
Assignee: arthur.chen → echen
(Assignee)

Comment 26

4 years ago
Comment on attachment 8542483 [details] [review]
[gaia] PR #27056

In current Gaia code, if the apn doesn't have to be filtered by matching mvno, operator_variant_handler still calls MozIcc.matchMvno with passing '' for |matchType| and expects get an error event and add it into |filteredApnList|.
But it doesn't work after bug 1098210. In bug 1098210, the argument of MVNO API moves to WebIDL enum, so the API will throw exception if caller passes an argument that not in the enum list [1].

IMO, if the apn doesn't have to be filtered by matching mvno, we won't have to call |matchMvno|, but just add it into |filteredApnList|.

Hi jaoo, May I have your review?

[1] In this case, "JavaScript Error: "TypeError: Argument 1 of MozIcc.matchMvno '' is not a valid value for enumeration IccMvnoType." {file: "app://system.gaiamobile.org/js/operator_variant_handler.js" line: 225}" is thrown.
Attachment #8542483 - Flags: review?(josea.olivera)
Comment on attachment 8542483 [details] [review]
[gaia] PR #27056

Arthur, can you take that? It's a smoketest blocker, and I'm not sure who else is familiar enough with this code.
Attachment #8542483 - Flags: review?(josea.olivera) → review?(arthur.chen)
This issue is no longer occurring due to the patch backout for bug 1098210. Data connection now works as expected on latest b2g-inbound build.

No longer occurring on:
Device: Flame 2.2 Master
BuildID: 20141231131707
Gaia: fce979e88240aba9f106c41b299151d3676bed99
Gecko: 1309c33cc06b
Version: 37.0a1 (2.2 Master)
Firmware: V188-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0
QA Whiteboard: [QAnalyst-Triage+][COM=RIL] → [QAnalyst-Triage?][COM=RIL]
Flags: needinfo?(pbylenga)
Keywords: qaurgent
(Assignee)

Comment 29

4 years ago
Comment on attachment 8542483 [details] [review]
[gaia] PR #27056

Hi Kaze, would you mind reviewing this patch? Please see comment #26 for details. Thank you.
Attachment #8542483 - Flags: review?(fabien)
Comment on attachment 8542483 [details] [review]
[gaia] PR #27056

Redirect to alive -- he touched the file.

BTW, :arthurcc is PTO and :kaze is inactive.
Attachment #8542483 - Flags: review?(fabien)
Attachment #8542483 - Flags: review?(arthur.chen)
Attachment #8542483 - Flags: review?(alive)
Comment on attachment 8542483 [details] [review]
[gaia] PR #27056

r=me, worth a test later
Attachment #8542483 - Flags: review?(alive) → review+
(Assignee)

Comment 32

4 years ago
(In reply to Alive Kuo [:alive][NEEDINFO!] from comment #31)
> Comment on attachment 8542483 [details] [review]
> [gaia] PR #27056
> 
> r=me, worth a test later

Thank you, Alive.
(Assignee)

Updated

4 years ago
Keywords: checkin-needed
QA Whiteboard: [QAnalyst-Triage?][COM=RIL] → [QAnalyst-Triage+][COM=RIL]
Flags: needinfo?(pbylenga)
Master: https://github.com/mozilla-b2g/gaia/commit/613550ddb8a7b96ed6bf2a39b0b2c7547e5dbf9a
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Keywords: checkin-needed
Resolution: --- → FIXED
Target Milestone: --- → 2.2 S3 (9jan)
blocking-b2g: 2.2? → 2.2+
This issue is Verified Fixed on the latest Flame 3.0 and 2.2 build.
User is able to connect to cell data properly from the FTU, Settings, and Notification Tray.

Environmental Variables:
Device: Flame 3.0 (319MB)(Full Flash)
Build ID: 20150206010204
Gaia: 94af4b42d2ace6c9f38f31de77240604fac68af1
Gecko: 7c5f187b65bf
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 38.0a1 (3.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:38.0) Gecko/38.0 Firefox/38.0

Environmental Variables:
Device: Flame 2.2 (319MB)(Full Flash)
Build ID: 20150206002505
Gaia: a52999ce7f783177deb17e267bf003a53e6fde06
Gecko: 01446d5231ef
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 37.0a2 (2.2)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0
Status: RESOLVED → VERIFIED
QA Whiteboard: [QAnalyst-Triage+][COM=RIL] → [QAnalyst-Triage?][COM=RIL]
Flags: needinfo?(pbylenga)
QA Whiteboard: [QAnalyst-Triage?][COM=RIL] → [QAnalyst-Triage+][COM=RIL]
Flags: needinfo?(pbylenga)
Whiteboard: [from automation] → [fromAutomation]
You need to log in before you can comment on or make changes to this bug.